// ServerController.h : ServerController アプリケーションのメイン ヘッダー ファイル
//
#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // メイン シンボル
#include "Workspace.h"    
#include "ServerControlInterface2.h"
#include "commongdiobject.h"


// CServerControllerApp:
// このクラスの実装については、ServerController.cpp を参照してください。
//

class CServerControllerApp : public CWinApp
{
public:
	CServerControllerApp();
	virtual ~CServerControllerApp();

	CWorkspace					m_settingRoot;
	CWorkspaceAccess			m_setting;
	CWorkspace					m_settingPush;	//	退避用
	CServerControlInterface2	m_serverControl;
	CCommonGDIObject			m_gdi;
	HANDLE						m_mutex;

	CString GetAppPath();
	void LoadSetting();
	void SaveSetting();
	void PushSetting();
	void PopSetting();
	CString	GetPathSwap(CString path);
	int	m_wantRestart;

	void ClickSound();

	//!	サーバ起動
	int StartServerProcess();

	//!	通信開始
	int TryOpenPipe(int loop = 1);

	//!	多重起動防止用
	int CheckOther();

// オーバーライド
public:
	virtual BOOL InitInstance();

// 実装

public:
	afx_msg void OnAppAbout();
	DECLARE_MESSAGE_MAP()
	virtual int ExitInstance();

	afx_msg void OnFileStart();
	afx_msg void OnFileLoad();
	afx_msg void OnFileExport();
	afx_msg void OnHelpManual();
	afx_msg void OnHelpHomepage();
};

extern CServerControllerApp theApp;
